<template>
	<v-container>
		<p class="display-1 text-center">Historial de becas</p>
		<!-- Alert para pc -->
		<div v-if="$vuetify.breakpoint.name !== 'xs'">
			<v-alert
				v-for="(item, index) of scholarships"
				:key="index"
				border="left"
				outlined
				text
				:color="
					item.status === 'Pendiente'
						? 'blue-gray'
						: item.status === 'Aprobada'
						? '#72a051'
						: '#c51f2f'
				"
				:icon="
					item.status === 'Pendiente'
						? 'fas fa-exclamation'
						: item.status === 'Aprobada'
						? 'fas fa-check'
						: 'fas fa-times'
				"
				prominent
				max-height="100"
			>
				<v-row justify="space-around">
					<div>
						<span class="headline">Periodo</span>
						<p class="subtitle-1">{{ item.period }}</p>
					</div>
					<div>
						<span class="headline">Beca</span>
						<p class="subtitle-1">{{ item.scholarship }}</p>
					</div>
					<div>
						<span class="headline">Status</span>
						<p class="subtitle-1">{{ item.status }}</p>
					</div>
				</v-row>
			</v-alert>
		</div>
		<!-- Alert para movil -->
		<div v-else>
			<v-alert
				v-for="(item, index) of scholarships"
				:key="index"
				border="left"
				outlined
				prominent
				text
				:color="
					item.status === 'Pendiente'
						? 'blue-gray'
						: item.status === 'Aprobada'
						? '#72a051'
						: '#c51f2f'
				"
				:icon="
					item.status === 'Pendiente'
						? 'fas fa-exclamation'
						: item.status === 'Aprobada'
						? 'fas fa-check'
						: 'fas fa-times'
				"
			>
				<v-row justify="center">
					<div>
						<span class="headline">Periodo</span>
						<p class="subtitle-1">{{ item.period }}</p>
					</div>
				</v-row>
				<v-row justify="space-around">
					<div>
						<span class="headline">Beca</span>
						<p class="subtitle-1">{{ item.scholarship }}</p>
					</div>
					<div>
						<span class="headline">Status</span>
						<p class="subtitle-1">{{ item.status }}</p>
					</div>
				</v-row>
			</v-alert>
		</div>
		<Navigation />
	</v-container>
</template>

<script>
import Navigation from "@/components/Navigation";
import gql from "graphql-tag";
import { mapMutations, mapState } from "vuex";

export default {
	name: "ScolarshipRequest",
	components: { Navigation },
	data: () => ({
		scholarships: [],
		scholarship: ""
	}),
	computed: {
		...mapState(["userData"])
	},
	methods: {
		...mapMutations(["saveUserData"]),

		// Obtiene los datos de las becas solicitadas
		async getPeriod() {
			this.saveUserData();
			try {
				const { data } = await this.$apollo.query({
					query: gql`
						query($curp: String!) {
							findStudent(curp: $curp) {
								scholarshipRecord {
									scholarship
									period
									status
								}
							}
						}
					`,
					variables: {
						curp: this.userData.curp
					}
				});
				this.scholarships = data.findStudent.scholarshipRecord;
				this.color();
				this.icon();
			} catch (error) {}
		}
	},
	created() {
		this.getPeriod();
	}
};
</script>
